Subject: Re: bug#11995: vc-compilation-mode name and implementation

From: Lars Ingebrigtsen <[email-masked]>
Date: Wed, 20 Jan 2021 05:20:37 +0100

Dan Nicolaescu <[email-masked]> writes:

> The newly added vc-compilation-mode function does not have the best
> name, -mode functions stand for modes, this is not one.

(I'm going through old bug reports that unfortunately got no response at
the time.)

It is perhaps not an ideal name, but it's probably too late to change
now, though.

> Currently the preferred way to define modes is to use
> `defined-derived-mode'...
>
> Also the implementation seems to be a bit more complicated than needed:
> there
>
> Defining a vc-default-compilation-mode function should simplify the
> implementation.  vc-make-backend-sym is something that very few things
> need to call.

I think it looks like something was left out of this message?  I'm not
sure what this is referring to.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no